require "wordify_wright/version"

module WordifyWright

  def self.reversify(str)
    (str.length-1).downto(0).map{ |n| str[n] }.join
  end

  def self.casify(str)
    (0..(str.length-1)).map{ |n| str[n].send([:downcase, :upcase].sample) }.join
  end

  def self.spacify(str, spaces = 0)
    str.split("").join(" "*spaces)
  end

  def self.random_day
    ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'].sample
  end

end
